require "ZomboWin/ZomboWinConfig"

--- Setup ModOptions
local ZomboWinModOptions = {
	options = {
		box1 = true,
		box2 = true,
	},
	names = {
		box1 = getText("IGUI_Force"),
		box2 = getText("IGUI_Debug_Mode"),
	},
	mod_id = "ZomboWinFramework",	
	mod_shortname = "Project ZomboWin Options",
}

ZomboWinConfig.ModOptions = ZomboWinModOptions

if ModOptions and ModOptions.getInstance then
	local settings = ModOptions:getInstance(ZomboWinConfig.ModOptions)

	--- Sandbox/Hide the options in multiplayer
	if isClient() then
		for option, _ in pairs(ZomboWinModOptions.options) do
			local option = settings:getData(option)
			option.sandbox_path = "ZomboWinSection"
		end
	end
end
